Bug 971328 - Don't have any return information after adding addon cartridge to the app and creating jenkins-1.4 app on WebSite
Summary: Don't have any return information after adding addon cartridge to the app and...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Website (Show other bugs)
(Show other bugs)
Version: 2.x
Hardware: Unspecified Unspecified
medium
high
Target Milestone: ---
: ---
Assignee: Jordan Liggitt
QA Contact: libra bugs
URL:
Whiteboard:
Keywords: Regression, Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-06 09:37 UTC by Wei Sun
Modified: 2015-05-15 01:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 14:51:57 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
jenkins (196.90 KB, image/png)
2013-06-13 02:57 UTC, Wei Sun
no flags Details
cartridge (145.74 KB, image/png)
2013-06-13 02:58 UTC, Wei Sun
no flags Details

Description Wei Sun 2013-06-06 09:37:13 UTC
Description of problem:
Create an application,and try to add addon cartridge,but can not get any addon cartridge information,such as database name and database username/password
Create a jenkins-1.4 app,after creating it successfully,but can not get user name and password.

Version-Release number of selected component (if applicable):
devenv_3326

How reproducible:
Always

Steps to Reproduce:
1.Create an app
2.Add cartridge for the app
3.Create a jenkins-1.4 app

Actual results:
2.Can not get cartridge information
3.Can not get jenkins username and password

Expected results:
Can get cartridge information
Can get jenkins username and password

Additional info:

Comment 1 Clayton Coleman 2013-06-07 16:15:41 UTC
May be related to the return value changes from the DELETE operation.

Comment 2 Clayton Coleman 2013-06-12 15:10:07 UTC
Can't reproduce on latest code.  Please provide more recreation information.

Comment 3 Wei Sun 2013-06-13 02:56:52 UTC
Test this bug on devenv_3353
Create jenkins-1.4 app,but can not get username and password,please refer to #attachment 1 [details]
Add cartridge for the app(for example : add mongodb-2.2),but can not cartridge information,such as username and password.Please refer to #attachment 2 [details]

Comment 4 Wei Sun 2013-06-13 02:57:26 UTC
Created attachment 760407 [details]
jenkins

Comment 5 Wei Sun 2013-06-13 02:58:02 UTC
Created attachment 760408 [details]
cartridge

Comment 6 Wei Sun 2013-06-13 06:52:45 UTC
This bug only happened on web console.
If use rhc to create jenkins-1.4 app or add cartridge to the app,can get information.
[sunwei@dhcp-8-229 dev]$ rhc cartridge add mysql-5.1 -a r9 -p x
Adding mysql-5.1 to application 'r9' ... Success

mysql-5.1 (MySQL Database 5.1)
------------------------------
  Gears:          Located with ruby-1.9
  Connection URL: mysql://$OPENSHIFT_MYSQL_DB_HOST:$OPENSHIFT_MYSQL_DB_PORT/
  Database Name:  r9
  Password:       3Bhrn1WWVKTw
  Username:       admins4HqNeB

RESULT:
Added mysql-5.1 to application r9
Embedded app details: Connection URL: mysql://$OPENSHIFT_MYSQL_DB_HOST:$OPENSHIFT_MYSQL_DB_PORT

MySQL 5.1 database added.  Please make note of these credentials:
       Root User: admins4HqNeB
   Root Password: 3Bhrn1WWVKTw
   Database Name: r9
Connection URL: mysql://$OPENSHIFT_MYSQL_DB_HOST:$OPENSHIFT_MYSQL_DB_PORT/
You can manage your new MySQL database by also embedding phpmyadmin-3.4.
The phpmyadmin username and password will be the same as the MySQL credentials above.

[sunwei@dhcp-8-229 ~]$ rhc app create jks jenkins-1.4 --no-git -p x 
Application Options
-------------------
  Namespace:  wsun3dev3354
  Cartridges: jenkins-1.4
  Gear Size:  default
  Scaling:    no

Creating application 'jks' ... done

Waiting for your DNS name to be available ... done

jks @ http://jks-wsun3dev3354.dev.rhcloud.com/ (uuid: e6badf0ed3f411e28de812313b094525)
---------------------------------------------------------------------------------------
  Created: 2:45 PM
  Gears:   1 (defaults to small)
  Git URL: ssh://e6badf0ed3f411e28de812313b094525@jks-wsun3dev3354.dev.rhcloud.com/~/git/jks.git/
  SSH:     e6badf0ed3f411e28de812313b094525@jks-wsun3dev3354.dev.rhcloud.com

  jenkins-1.4 (Jenkins Server 1.4)
  --------------------------------
    Gears: 1 small

RESULT:
Application jks was created.
The cartridge jenkins deployed a template application
Jenkins created successfully.  Please make note of these credentials:
   User: admin
   Password: NJ5_TuZML4iM
Note:  You can change your password at: https://jks-wsun3dev3354.dev.rhcloud.com/me/configure

Comment 7 Jordan Liggitt 2013-06-14 19:22:41 UTC
As of 2.0.28, result messages from creating an app looked like this in the API:

"messages": [
  {
    "exit_code":null,
    "field":null,
    "severity":"info",
    "text":"Application j1 was created."
  },
  {
    "exit_code":0,
    "field":"result",
    "severity":"info",
    "text":"Jenkins created successfully.  Please make note of these credentials: ..."
  }
]


Now, result messages look like this:
"messages": [
  {
    "exit_code":null,
    "field":null,
    "severity":"info",
    "text":"Application j1 was created."
  },
  {
    "exit_code":0,
    "field":null,
    "severity":"result",
    "text":"Jenkins created successfully.  Please make note of these credentials: ..."
  }
]


Updating RHC to work with either field:"result" or severity:"result", and updating the console to work with severity:"result"

Comment 8 openshift-github-bot 2013-06-15 00:19:03 UTC
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/07e30a749f6c75f991c9c59ff99a8d85d1e1144b
Fix bug 971328 - jenkins creation missing result messages

Comment 9 openshift-github-bot 2013-06-17 21:29:49 UTC
Commit pushed to master at https://github.com/openshift/rhc

https://github.com/openshift/rhc/commit/af50c4a267349e0b9340f51d14ded86cd715d831
Fix bug 971328 - new results message format

Comment 10 Wei Sun 2013-06-18 04:40:15 UTC
Verified on devenv_3373
After adding addon cartridge and creating jeknins-1.4 app,can get cartridge information and  jenkins username and password


Note You need to log in before you can comment on or make changes to this bug.